pydo.balance.get()

Generated on 9 Jun 2026 from pydo version v0.36.0

Usage

client.balance.get()
Returns JSONRaises HttpResponseError

Description

To retrieve the balances on a customer’s account, send a GET request to /v2/customers/my/balance.

Request Sample

Show Request Sample
import os
from pydo import Client

client = Client(token=os.environ.get("DIGITALOCEAN_TOKEN"))

balance = client.balance.get()

Response Example

Show Response Example
{
  "month_to_date_balance": "23.44",
  "account_balance": "12.23",
  "month_to_date_usage": "11.21",
  "generated_at": "2019-07-09T15:01:12Z"
}

More Information

See /v2/customers/my/balance in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.